'use strict';

module.exports = {

  async getSecret() {
    const { app } = this;
    const config = app.config;
    const url = config.secret.url;
    const date = new Date();
    const now = parseInt(date.getTime() / 1000);
    if (app.secret && now < app.secret.expiredTime) {
      return app.secret.secret;
    }
    const result = await this.curl(url, { dataType: 'json' });
    app.secret = result.data;
    return app.secret.secret;
  },
};
